## cenon.app 3.93

=== VHFExport/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = VHFExport

PROJECTVERSION = 2.6
PROJECT_TYPE = Component
LANGUAGE = English

CLASSES = DXFExport.m GerberExport.m HPGLExport.m

HFILES = DXFExport.h dxfColorTable.h GerberExport.h HPGLExport.h

OTHERSRCS = Makefile


MAKEFILEDIR = $(NEXT_ROOT)/NextDeveloper/Makefiles/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = subproj.make
NEXTSTEP_INSTALLDIR = $(HOME)/Apps
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== debian/changelog ===
cenon.app (3.93-1.2build1) raring; urgency=low

  * Rebuild for gnustep-gui 0.22 transition.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 21 Nov 2012 16:47:37 +0100

cenon.app (3.93-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS with GCC-4.7": add patch from Yavor Doganov.
    (Closes: #667866)

 -- gregor herrmann <gregoa@debian.org>  Fri, 25 May 2012 15:40:15 +0200

cenon.app (3.93-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/645926.patch: New; use the correct app icon name to
    prevent a crash during initialization (Closes: #645926).
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 10 Nov 2011 19:15:37 +0200

cenon.app (3.93-1) unstable; urgency=low

  * New upstream version.
  * Change section to gnustep.
  * Bump standards version.
  * Bump debhelper version.
  * Update my email address.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Thu, 27 Jan 2011 08:53:27 +0100

cenon.app (3.83-1) unstable; urgency=low

  * New upstream version. (Closes: #375518)
  * GNUstep transition. (Closes: #447459)
    + Updated debian/rules.
    + Fix GNUmakefile.postamble.
  * debian/compat: Bump version, no changes needed.
  * debian/control: Updated standards version.
  * Added a desktop file.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 08 Oct 2007 22:13:35 +0200

cenon.app (3.82-1) unstable; urgency=low

  * New upstream version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Tue,  2 Jan 2007 12:15:53 +0100

cenon.app (3.81-2) unstable; urgency=low

  * Apply patch from Kaloian Doganov to fix the
    NSSearchPathForDirectoriesInDomains. (Closes: #375518)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sat,  4 Nov 2006 01:50:33 +0100

cenon.app (3.81-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 20 Sep 2006 22:41:49 +0200

cenon.app (3.80-2) unstable; urgency=low

  * Apply patch to fix FTBFS on amd64. (Closes: #373214)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Wed, 14 Jun 2006 21:16:21 +0200

cenon.app (3.80-1) unstable; urgency=low

  * New upstream release.
  * Rebuild against latest libgnustep-gui.
  * Bump standards version.
  * Add co-maintainers.
  * Updated manual page.
  * Applied patch to fix FTBFS on amd64. (Closes: #303888)

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 22 Dec 2005 16:21:19 +0100

cenon.app (3.64-1) unstable; urgency=low

  * New upstream release.
  * Renamed source package to cenon.app.
  * Updated manual page.
  * Updated debian/control build-depends for GNUstep 0.9.4.
  * Cleaned up debian/rules.
  * Cenon Library fix with s,NSLocalDomainMask,NSSystemDomainMask,g

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Thu, 18 Nov 2004 20:49:13 +0100

cenon (3.62-1) unstable; urgency=low

  * New upstream release
  * Renamed binary package to cenon.app

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Mon, 26 Jul 2004 23:59:57 +0200

cenon (3.60-1) unstable; urgency=low

  * Initial Release.

 -- Gürkan Sengün <gurkan@linuks.mine.nu>  Sun, 25 Jan 2004 15:05:21 +0100

=== debian/control ===
Source: cenon.app
Section: gnustep
Priority: optional
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Uploaders: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7), libgnustep-gui-dev (>= 0.12.0), gnustep-make
Standards-Version: 3.9.1
Homepage: http://www.cenon.info/

Package: cenon.app
Architecture: any
Depends: ${shlibs:Depends}
Replaces: cenon
Conflicts: cenon
Description: Vector graphics tool for GNUstep
 Cenon is a graphical tool of a special kind. Build upon a modular graphical
 core, Cenon offers a wide variety of possibilities and applications - not
 only Desktop Publishing. The best of all, Cenon is free software, available
 with full source codes, and at home on many computer platforms.
 .
 Convert, import and export DXF, PostScript, Adobe Illustrator, DIN formats,
 HPGL, Gerber and PDF.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/GNUstep/debian/config.mk
GNUSTEP_MAKEFILES=$(GS_MAKE_DIR)

GNUSTEP_SYSTEM_LIBRARY=/usr/lib/GNUstep

build: build-stamp

build-stamp:
	dh_testdir
	gs_make
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	gs_make clean distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	gs_make install GNUSTEP_INSTALLATION_DOMAIN=SYSTEM DESTDIR=$(CURDIR)/debian/cenon.app
	dh_install debian/*.desktop usr/share/applications/
	rm $(CURDIR)/debian/*.app/usr/lib/GNUstep/Applications/*.app/Resources/*.desktop

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog/*
	install -m 644 debian/lintian-override $(CURDIR)/debian/cenon.app/usr/share/lintian/overrides/cenon.app
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## cenon.app 4.0.2

=== debian/changelog ===
cenon.app (4.0.2-1build3) bionic; urgency=medium

  * No-change rebuild for gnustep-gui soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2018 05:47:03 +0000

cenon.app (4.0.2-1build2) bionic; urgency=medium

  * No-change rebuild for gnustep-base soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Nov 2017 08:25:42 +0000

cenon.app (4.0.2-1build1) yakkety; urgency=medium

  * No-change rebuild for gnustep-gui 0.25

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Sep 2016 21:11:07 +0000

cenon.app (4.0.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: (Maintainer): Set to the GNUstep team.
    (Uploaders): Add myself.
    (Build-Depends): Require libgnustep-gui-dev (>= 0.24) and debhelper
    (>= 9).  Add imagemagick for the icon conversion.
    (Depends): Add ${misc:Depends} and ${gnustep:Depends}.
    (Recommends): Add ghostscript.
    (Conflicts, Replaces): Remove, obsolete.
    (Vcs-Git, Vcs-Browser): New fields.
    (Standards-Version): Compliant with 3.9.5 as of this release.
  * debian/compat: Set to 9.
  * debian/patches/debian-changes-3.91-1:
  * debian/patches/debian-changes-3.93-1: Remove as the changes are not
    correct; stop installing the Cenon library in a place where the
    application cannot find it (Closes: #496299).
  * debian/patches/645926.patch:
  * debian/patches/667866.patch: Remove; applied upstream.
  * debian/patches/no-installation-domain.patch: New, do not define
    GNUSTEP_INSTALLATION_DOMAIN.
  * debian/patches/check-return-value.patch: New, check the return value
    of `system' while importing files.
  * debian/patches/gui-0.24.patch: New, fix FTBFS and a few more issues
    with the current GNUstep libraries (Closes: #749553).
  * debian/patches/series: Update.
  * debian/rules: Rewrite for modern dh.  Move resource to /usr/share.
    Enable hardening and verbose build.  Build an upstream changelog from
    the plain text files; passing ChangeLog/* to dh_installchangelogs
    results in garbage because of the RTF files.  Generate a XPM icon.
  * debian/install:
  * debian/preinst:
  * debian/watch: New file.
  * debian/dirs:
  * debian/lintian-override: Delete.
  * debian/menu: Add icon and longtitle.
  * debian/Cenon.desktop: Make it valid, add Comment and Keywords fields.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 07 Jul 2014 16:34:34 +0300

=== debian/control ===
Source: cenon.app
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders: Gürkan Sengün <gurkan@phys.ethz.ch>,
	   Yavor Doganov <yavor@gnu.org>
Build-Depends: debhelper (>= 9),
	       libgnustep-gui-dev (>= 0.24),
	       gnustep-make,
	       imagemagick
Standards-Version: 3.9.5
Homepage: http://www.cenon.info/
Vcs-Git: git://anonscm.debian.org/pkg-gnustep/cenon.app.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gnustep/cenon.app.git

Package: cenon.app
Architecture: any
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ${gnustep:Depends}
Recommends: ghostscript
Description: Vector graphics tool for GNUstep
 Cenon is a graphical tool of a special kind. Build upon a modular graphical
 core, Cenon offers a wide variety of possibilities and applications - not
 only Desktop Publishing. The best of all, Cenon is free software, available
 with full source codes, and at home on many computer platforms.
 .
 Convert, import and export DXF, PostScript, Adobe Illustrator, DIN formats,
 HPGL, Gerber and PDF.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SHELL := /bin/bash

include /usr/share/GNUstep/debian/config.mk

d_app  	 := $(CURDIR)/debian/cenon.app
resdir   := $(GNUSTEP_SYSTEM_APPS)/Cenon.app/Resources
usrshare := /usr/share/GNUstep/Cenon.app

LDFLAGS += -Wl,--as-needed

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
optim := debug=yes
endif

%:
	dh $@

override_dh_auto_build:
	$(MAKE) $(optim) messages=yes CPPFLAGS="$(CPPFLAGS)" \
	  CFLAGS="$(CFLAGS)" OBJCFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	convert Icons/Cenon.tiff -resize 32x32 Cenon.xpm
# Construct something that resembles a ChangeLog.
	cd ChangeLog; for f in $$(ls -r *.txt); do cat $$f >> ChangeLog; done

override_dh_clean:
	dh_clean Cenon.xpm ChangeLog/ChangeLog

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog/ChangeLog

override_dh_link:
	dh_gnustep
	dh_installdirs $(usrshare)
	rm $(d_app)$(resdir)/{*.desktop,InspectorPanel.nib/._*}
# The Resources directory of the main app bundle contains
# arch-dependent files, so it can't be moved as usual.
	for i in $(d_app)$(resdir)/*.{tiff,lproj,nib}; do \
	  mv $$i $(d_app)$(usrshare) \
	  && dh_link $(usrshare)/$${i##*/} $(resdir)/$${i##*/}; \
	done
# Now move the Resources of the arch-dependent modules.
	for i in $(d_app)$(resdir)/*.prefs; do \
	  mv $$i/Resources $(d_app)$(usrshare)/$${i##*/} \
	  && dh_link $(usrshare)/$${i##*/} $(resdir)/$${i##*/}/Resources; \
	done
# Finally, move the whole Cenon Library -- it is entirely
# arch-independent, as misleading that is.
	mv $(d_app)$(GNUSTEP_SYSTEM_LIBRARY)/Cenon $(d_app)$(usrshare)
	dh_link $(usrshare)/Cenon $(GNUSTEP_SYSTEM_LIBRARY)/Cenon
	rm $(d_app)$(usrshare)/Cenon/._*

## cenon.app 4.0.6%2Bds1

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds.*$//, repack, repacksuffix=+ds1, compression=bz2" \
http://cenon.zone/download/source/Cenon-(.*)\.tar\.bz2

## cenon.app 4.0.6+ds1

=== VHFImport/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = VHFImport

PROJECTVERSION = 2.6
PROJECT_TYPE = Component
LANGUAGE = English

GLOBAL_RESOURCES = psImport.prolog psImportAI3.prolog\
                   psImportAI3.trailer

CLASSES = DINImport.m DXFImport.m GerberImport.m HPGLImport.m\
          PSImport.m

HFILES = DINImport.h DXFImport.h dxfColorTable.h dxfOperators.h\
         GerberImport.h HPGLImport.h PSImport.h

PSWFILES = psi.psw

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble README


MAKEFILEDIR = $(NEXT_ROOT)/NextDeveloper/Makefiles/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = subproj.make
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== VHFShared/Makefile ===
#
# Generated by the NeXT Project Builder.
#
# NOTE: Do NOT change this file -- Project Builder maintains it.
#
# Put all of your customizations in files called Makefile.preamble
# and Makefile.postamble (both optional), and Makefile will include them.
#

NAME = VHFShared

PROJECTVERSION = 2.6
PROJECT_TYPE = Component
LANGUAGE = English

CLASSES = VHFArrayAdditions.m VHFDictionaryAdditions.m\
          VHFPopUpButtonAdditions.m VHFScannerAdditions.m\
          VHFStringAdditions.m VHFSystemAdditions.m

HFILES = types.h vhf2DFunctions.h VHFArrayAdditions.h\
         vhfCommonFunctions.h vhfCompatibility.h\
         VHFDictionaryAdditions.h vhfMath.h VHFPopUpButtonAdditions.h\
         VHFScannerAdditions.h vhfSoundFunctions.h VHFStringAdditions.h\
         VHFSystemAdditions.h vhfCFGFunctions.h

MFILES = vhf2DFunctions.m vhfCFGFunctions.m vhfCommonFunctions.m\
         vhfMath.m vhfSoundFunctions.m

OTHERSRCS = Makefile.preamble Makefile Makefile.postamble


MAKEFILEDIR = $(NEXT_ROOT)/NextDeveloper/Makefiles/pb_makefiles
CODE_GEN_STYLE = DYNAMIC
MAKEFILE = subproj.make
LIBS = 
DEBUG_LIBS = $(LIBS)
PROF_LIBS = $(LIBS)




include $(MAKEFILEDIR)/platform.make

-include Makefile.preamble

include $(MAKEFILEDIR)/$(MAKEFILE)

-include Makefile.postamble

-include Makefile.dependencies

=== debian/changelog ===
cenon.app (4.0.6+ds1-5build1) plucky; urgency=medium

  * Rebuild against new multiarch framework.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 13 Feb 2025 07:29:58 +0100

cenon.app (4.0.6+ds1-5) unstable; urgency=medium

  * debian/control (Build-Depends): Require libgnustep-gui-dev (>=
    0.31.1-7) for the multiarch layout.
  * debian/install: Update for multiarch (Closes: #1093983).
  * debian/rules (p_app, p_com): New variables.
    (execute_before_dh_link): Merge the recipe from the
    override_dh_link-indep target and make sure all symlinks are created
    in the cenon.app package.
  * debian/patches/invalid-array-syntax.patch: Fix Description typo.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 31 Jan 2025 04:57:11 +0200

cenon.app (4.0.6+ds1-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Yavor Doganov ]
  * debian/rules (execute_before_dh_link): New target; invoke gsdh_gnustep
    and delete everything we don't need in an arch:any build.  Fixes FTBFS
    introduced in 4.0.6+ds1-3 with debhelper compat 13.
    (override_dh_auto_build): Use $(verbose) instead of messages=yes to
    support "terse" in DEB_BUILD_OPTIONS.  Convert app icon to PNG.
    (override_dh_clean): Delete the .png icon.
    (override_dh_link-indep): Convert a device file to UTF-8 to fix
    lintian warning national-encoding.
  * debian/control (Build-Depends): Remove gnustep-make and ancient
    libgnustep-gui-dev version requirement.  Add imagemagick.
    (cenon.app-common) <Breaks, Replaces>: Remove; obsolete.
    <Multi-Arch>: Set to "foreign".
    (Rules-Requires-Root): Set to "no".
  * debian/install: Install everything except Resources directories.
    Install the .png icon.
  * debian/not-installed: Delete; let dh_gnustep handle stamp.make files.
  * debian/Cenon.desktop: Amend Icon path.
  * debian/watch: Use HTTPS protocol.
  * debian/patches/invalid-array-syntax.patch: Append "mailto:" to the
    Forwarded field hoping that UDD will consider it valid metadata.
  * debian/patches/clean-target.patch: Likewise.
  * debian/patches/gcc-warnings.patch: Likewise.
  * debian/patches/spelling-errors.patch: Likewise.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 12 Jul 2024 05:02:09 +0300

cenon.app (4.0.6+ds1-3) unstable; urgency=medium

  * Bump debhelper version to 13, drop d/compat.
  * Bump standards version to 4.7.0.
  * Add d/not-installed.

 -- Alex Myczko <tar@debian.org>  Tue, 09 Jul 2024 23:07:22 +0000

cenon.app (4.0.6+ds1-2) unstable; urgency=medium

  * debian/copyright: Add missing copyright holders vhf interservice GmbH,
    vhf computer GmbH, NeXT Software, Inc., Adobe Systems Incorporated,
    GraphiCode Inc (Closes: #892981).
  * debian/control (cenon.app-common): Mark as M-A: foreign.
  * debian/Cenon.desktop: Change icon path to /usr/share.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 25 Mar 2018 14:25:12 +0300

cenon.app (4.0.6+ds1-1) unstable; urgency=medium

  [ Gürkan Myczko ]
  * Update control, fix my name.

  [ Yavor Doganov ]
  * New upstream release.
    + Fixes compilation warnings with gnustep-gui/0.26 (Closes: #886466).
  * Repackage the upstream tarball to exclude Cenon.xcodeproj due to
    filename with \r (Closes: #885954).
  * debian/watch: Switch to version 4 and new upstream location, add
    repacking options.
  * debian/copyright: Rewrite in copyright format 1.0, add new license
    CenPL and LGPL-2+ for two files that are derived from gnustep-base.
    Update copyright years.  Add Files-Excluded: Cenon.xcodeproj.
  * debian/patches/no-installation-domain.patch:
  * debian/patches/check-return-value.patch:
  * debian/patches/gui-0.24.patch: Remove; applied upstream.
  * debian/patches/invalid-array-syntax.patch: New, fix FTBFS due to
    invalid (for GCC) syntax.
  * debian/patches/clean-target.patch: New, fix building twice in a row
    due to a gnustep-make bug.
  * debian/patches/gcc-warnings.patch: New, fix several warnings.
  * debian/patches/spelling-errors.patch: New, self-explanatory.
  * debian/patches/series: Update.
  * debian/compat: Bump to 11.
  * debian/menu: Delete.
  * debian/control: Run wrap-and-sort -sa.
    (cenon.app-common): New package, split arch-indep files (> 6 MB).
    (Build-Depends): Remove imagemagick.  Bump libgnustep-gui-dev
    requirement to >= 0.26 for NSScreen -backingScaleFactor.  Require
    gnustep-make >= 2.7.0-3 for the optim variable definition.  Bump
    debhelper requirement to match the compat level.
    (Depends): Remove ${gnustep:Depends}; obsolete.  Add -common.
    (Vcs-Git, Vcs-Browser): Switch to salsa.d.o.
    (Standards-Version): Compliant with 4.1.3 as of this release.
  * debian/install: Don't install the .xpm icon.  Explicitly list all
    binaries to be installed in the arch:any package.
  * debian/rules: Delete optim definition.  Enable all hardening.
    (LDFLAGS): Remove, not necessary.
    (d_com): New helper variable, amend d_app accordingly.
    (override_dh_auto_build): Don't generate .xpm icon.  Replace $(MAKE)
    with dh_auto_build, pass dpkg-buildflags.
    (override_dh_clean): Remove Cenon.xpm.
    (override_dh_link): Rename as -indep and adjust recipe for the
    arch:all package.  Don't invoke dh_gnustep; does nothing for apps.
  * debian/Cenon.desktop: Add all supported mime types and %F to Exec key.
  * debian/preinst: Delete, no longer necessary.
  * debian/README.Debian: Amend URLs for upstream documentation and the
    Astrology bundle.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 13 Mar 2018 10:43:57 +0200

=== debian/control ===
Source: cenon.app
Section: gnustep
Priority: optional
Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
Uploaders:
 Alex Myczko <tar@debian.org>,
 Yavor Doganov <yavor@gnu.org>
Build-Depends:
 debhelper-compat (= 13),
 imagemagick,
 libgnustep-gui-dev (>= 0.31.1-7),
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://www.cenon.info/
Vcs-Git: https://salsa.debian.org/gnustep-team/cenon.app.git
Vcs-Browser: https://salsa.debian.org/gnustep-team/cenon.app

Package: cenon.app
Architecture: any
Multi-Arch: foreign
Depends:
 cenon.app-common (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Recommends:
 ghostscript
Description: Vector graphics tool for GNUstep
 Cenon is a graphical tool of a special kind. Build upon a modular graphical
 core, Cenon offers a wide variety of possibilities and applications - not
 only Desktop Publishing. The best of all, Cenon is free software, available
 with full source codes, and at home on many computer platforms.
 .
 Convert, import and export DXF, PostScript, Adobe Illustrator, DIN formats,
 HPGL, Gerber and PDF.

Package: cenon.app-common
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends}
Recommends:
 cenon.app
Description: Vector graphics tool for GNUstep (common files)
 Cenon is a graphical tool for vector design and desktop publishing.
 It supports conversion, import and export in several formats like DXF,
 PostScript, Adobe Illustrator, DIN formats, HPGL, Gerber, PDF and SVG.
 .
 This package contains the architecture-independent files.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SHELL := /bin/bash

include /usr/share/GNUstep/debian/config.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

p_app    := cenon.app
p_com    := cenon.app-common
d_app    := $(CURDIR)/debian/tmp
d_com    := $(CURDIR)/debian/$(p_com)
resdir   := $(GNUSTEP_SYSTEM_APPS)/Cenon.app/Resources
usrshare := /usr/share/GNUstep/Cenon.app

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(optim) $(verbose) \
	  $(shell dpkg-buildflags --export=cmdline)
	convert Icons/Cenon.tiff -resize 64x64 Cenon.png
# Construct something that resembles a ChangeLog.
	cd ChangeLog; for f in $$(ls -r *.txt); do cat $$f >> ChangeLog; done

override_dh_clean:
	dh_clean ChangeLog/ChangeLog Cenon.png

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog/ChangeLog

execute_before_dh_link:
	gsdh_gnustep
	mkdir -p $(d_com)$(usrshare)
	rm $(d_app)$(resdir)/{*.desktop,InspectorPanel.nib/._*}
# The Resources directory of the main app bundle contains
# arch-dependent files, so it can't be moved as usual.
	for i in $(d_app)$(resdir)/*.{tiff,lproj,nib,xib,plist,prolog,trailer}; do \
	  mv $$i $(d_com)$(usrshare) \
	  && dh_link -p$(p_app) $(usrshare)/$${i##*/} $(resdir)/$${i##*/}; \
	done
	for i in CharConversion CropMarks ; do \
	  mv $(d_app)$(resdir)/$$i $(d_com)$(usrshare) \
	  && dh_link -p$(p_app) $(usrshare)/$$i $(resdir)/$$i; \
	done
# Now move the Resources of the arch-dependent modules.
	for i in $(d_app)$(resdir)/*.prefs; do \
	  mv $$i/Resources $(d_com)$(usrshare)/$${i##*/} \
	  && dh_link -p$(p_app) $(usrshare)/$${i##*/} $(resdir)/$${i##*/}/Resources; \
	done
# Finally, move the whole Cenon Library -- it is entirely
# arch-independent, as misleading that is.
	mv $(d_app)$(GNUSTEP_SYSTEM_LIBRARY)/Cenon $(d_com)$(usrshare)
	dh_link -p$(p_app) $(usrshare)/Cenon $(GNUSTEP_SYSTEM_LIBRARY)/Cenon
	rm $(d_com)$(usrshare)/Cenon/._*
# Fixes lintian W: national-encoding.
	iconv -f ISO-8859-1 -t UTF-8 < Library/Cenon/Devices/din/sm_3000.dev \
	  > $(d_com)$(usrshare)/Cenon/Devices/din/sm_3000.dev

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds.*$//, repack, repacksuffix=+ds1, compression=bz2" \
https://cenon.zone/download/source/Cenon-(.*)\.tar\.bz2
